# -*- coding: utf-8 -*-


# This file defines the dicts.


# Define the formats.
FORMATS = {"4CS": "4cs",
            "6502 ACME Cross Assembler": "6502acme",
            "6502 Kick Assembler": "6502kickass",
            "6502 TASM/64TASS": "6502tasm",
            "ABAP": "abap",
            "ActionScript": "actionscript",
            "ActionScript 3": "actionscript3",
            "Ada": "ada",
            "ALGOL 68": "algol68",
            "Apache Log": "apache",
            "AppleScript": "applescript",
            "APT Sources": "apt_sources",
            "ARM": "arm",
            "ASM (NASM)": "asm",
            "ASP": "asp",
            "Asymptote": "asymptote",
            "autoconf": "autoconf",
            "Autohotkey": "autohotkey",
            "AutoIt": "autoit",
            "Avisynth": "avisynth",
            "Awk": "awk",
            "BASCOM AVR": "bascomavr",
            "Bash": "bash",
            "Basic4GL": "basic4gl",
            "BibTeX": "bibtex",
            "Blitz Basic": "blitzbasic",
            "BNF": "bnf",
            "BOO": "boo",
            "BrainFuck": "bf",
            "C": "c",
            "C for Macs": "c_mac",
            "C Intermediate Language": "cil",
            "C#": "csharp",
            "C++": "cpp",
            "C++ (with QT extensions)": "cpp-qt",
            "C: Loadrunner": "c_loadrunner",
            "CAD DCL": "caddcl",
            "CAD Lisp": "cadlisp",
            "CFDG": "cfdg",
            "ChaiScript": "chaiscript",
            "Clojure": "clojure",
            "Clone C": "klonec",
            "Clone C++": "klonecpp",
            "CMake": "cmake",
            "COBOL": "cobol",
            "CoffeeScript": "coffeescript",
            "ColdFusion": "cfm",
            "CSS": "css",
            "Cuesheet": "cuesheet",
            "D": "d",
            "DCL": "dcl",
            "DCPU-16": "dcpu16",
            "DCS": "dcs",
            "Delphi": "delphi",
            "Delphi Prism (Oxygene)": "oxygene",
            "Diff": "diff",
            "DIV": "div",
            "DOS": "dos",
            "DOT": "dot",
            "E": "e",
            "ECMAScript": "ecmascript",
            "Eiffel": "eiffel",
            "Email": "email",
            "EPC": "epc",
            "Erlang": "erlang",
            "F#": "fsharp",
            "Falcon": "falcon",
            "FO Language": "fo",
            "Formula One": "f1",
            "Fortran": "fortran",
            "FreeBasic": "freebasic",
            "FreeSWITCH": "freeswitch",
            "GAMBAS": "gambas",
            "Game Maker": "gml",
            "GDB": "gdb",
            "Genero": "genero",
            "Genie": "genie",
            "GetText": "gettext",
            "Go": "go",
            "Groovy": "groovy",
            "GwBasic": "gwbasic",
            "Haskell": "haskell",
            "Haxe": "haxe",
            "HicEst": "hicest",
            "HQ9 Plus": "hq9plus",
            "HTML": "html4strict",
            "HTML 5": "html5",
            "Icon": "icon",
            "IDL": "idl",
            "INI file": "ini",
            "Inno Script": "inno",
            "INTERCAL": "intercal",
            "IO": "io",
            "J": "j",
            "Java": "java",
            "Java 5": "java5",
            "JavaScript": "javascript",
            "jQuery": "jquery",
            "KiXtart": "kixtart",
            "Latex": "latex",
            "LDIF": "ldif",
            "Liberty BASIC": "lb",
            "Linden Scripting": "lsl2",
            "Lisp": "lisp",
            "LLVM": "llvm",
            "Loco Basic": "locobasic",
            "Logtalk": "logtalk",
            "LOL Code": "lolcode",
            "Lotus Formulas": "lotusformulas",
            "Lotus Script": "lotusscript",
            "LScript": "lscript",
            "Lua": "lua",
            "M68000 Assembler": "m68k",
            "MagikSF": "magiksf",
            "Make": "make",
            "MapBasic": "mapbasic",
            "MatLab": "matlab",
            "mIRC": "mirc",
            "MIX Assembler": "mmix",
            "Modula 2": "modula2",
            "Modula 3": "modula3",
            "Motorola 68000 HiSoft Dev": "68000devpac",
            "MPASM": "mpasm",
            "MXML": "mxml",
            "MySQL": "mysql",
            "Nagios": "nagios",
            "newLISP": "newlisp",
            "None": "text",
            "NullSoft Installer": "nsis",
            "Oberon 2": "oberon2",
            "Objeck Programming Langua": "objeck",
            "Objective C": "objc",
            "OCalm Brief": "ocaml-brief",
            "OCaml": "ocaml",
            "Octave": "octave",
            "OpenBSD PACKET FILTER": "pf",
            "OpenGL Shading": "glsl",
            "Openoffice BASIC": "oobas",
            "Oracle 11": "oracle11",
            "Oracle 8": "oracle8",
            "Oz": "oz",
            "ParaSail": "parasail",
            "PARI/GP": "parigp",
            "Pascal": "pascal",
            "PAWN": "pawn",
            "PCRE": "pcre",
            "Per": "per",
            "Perl": "perl",
            "Perl 6": "perl6",
            "PHP": "php",
            "PHP Brief": "php-brief",
            "Pic 16": "pic16",
            "Pike": "pike",
            "Pixel Bender": "pixelbender",
            "PL/SQL": "plsql",
            "PostgreSQL": "postgresql",
            "POV-Ray": "povray",
            "Power Shell": "powershell",
            "PowerBuilder": "powerbuilder",
            "ProFTPd": "proftpd",
            "Progress": "progress",
            "Prolog": "prolog",
            "Properties": "properties",
            "ProvideX": "providex",
            "PureBasic": "purebasic",
            "PyCon": "pycon",
            "Python": "python",
            "Python for S60": "pys60",
            "q/kdb+": "q",
            "QBasic": "qbasic",
            "R": "rsplus",
            "Rails": "rails",
            "REBOL": "rebol",
            "REG": "reg",
            "Rexx": "rexx",
            "Robots": "robots",
            "RPM Spec": "rpmspec",
            "Ruby": "ruby",
            "Ruby Gnuplot": "gnuplot",
            "SAS": "sas",
            "Scala": "scala",
            "Scheme": "scheme",
            "Scilab": "scilab",
            "SdlBasic": "sdlbasic",
            "Smalltalk": "smalltalk",
            "Smarty": "smarty",
            "SPARK": "spark",
            "SPARQL": "sparql",
            "SQL": "sql",
            "StoneScript": "stonescript",
            "SystemVerilog": "systemverilog",
            "T-SQL": "tsql",
            "TCL": "tcl",
            "Tera Term": "teraterm",
            "thinBasic": "thinbasic",
            "TypoScript": "typoscript",
            "Unicon": "unicon",
            "UnrealScript": "uscript",
            "UPC": "ups",
            "Urbi": "urbi",
            "Vala": "vala",
            "VB.NET": "vbnet",
            "Vedit": "vedit",
            "VeriLog": "verilog",
            "VHDL": "vhdl",
            "VIM": "vim",
            "Visual Pro Log": "visualprolog",
            "VisualBasic": "vb",
            "VisualFoxPro": "visualfoxpro",
            "WhiteSpace": "whitespace",
            "WHOIS": "whois",
            "Winbatch": "winbatch",
            "XBasic": "xbasic",
            "XML": "xml",
            "Xorg Config": "xorg_conf",
            "XPP": "xpp",
            "YAML": "yaml",
            "Z80 Assembler": "z80",
            "ZXBasic": "zxbasic"}

# Define the expiration constants.
EXPIRE = {"Never": "N",
          "10 Minutes": "10M",
          "1 Hour": "1H",
          "1 Day": "1D",
          "1 Week": "1W",
          "2 Weeks": "2W",
          "1 Month": "1M"}

# Define the exposure constants.
EXPOSURE = {"Public": 0,
            "Unlisted": 1,
            "Private": 2}
